use tiny_http::Request;

pub trait Url {
    fn get_url_without_parameters(&self) -> String;
}

impl Url for Request {
    fn get_url_without_parameters(&self) -> String {
        self.url().split("?").next().unwrap().to_string()
    }
}

#[cfg(test)]
mod tests {
    use crate::entities::request::*;
    use tiny_http::{Request, TestRequest};

    #[test]
    fn test_get_url_without_parameters() {
        let request = Request::from(TestRequest::new().with_path("/test?key=value"));

        let actual = request.get_url_without_parameters();

        assert_eq!(actual, "/test");

        let request2 = Request::from(TestRequest::new().with_path("/test2"));

        assert_eq!(request2.get_url_without_parameters(), "/test2");
    }
}
